=== debian/changelog ===
vmpk-dmo (1:0.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jun 2021 11:51:18 +0200

vmpk-dmo (1:0.8.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 May 2021 08:55:22 +0200

vmpk-dmo (1:0.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 Mar 2021 19:05:08 +0200

vmpk-dmo (1:0.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Mar 2021 10:25:14 +0100

vmpk-dmo (1:0.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Dec 2020 08:05:51 +0100

vmpk-dmo (1:0.7.2-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 15:12:07 +0200

vmpk-dmo (1:0.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Sep 2019 15:43:37 +0200

vmpk-dmo (1:0.7.1-dmo3) unstable; urgency=medium

  * Should Depends on libdrumstick-rt-backends

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Aug 2019 17:53:07 +0200

vmpk-dmo (1:0.7.1-dmo2) unstable; urgency=medium

  * Rebuild against new libdrumstick packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Aug 2019 19:33:05 +0200

vmpk-dmo (1:0.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Dec 2018 08:28:30 +0100

vmpk-dmo (1:0.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Apr 2018 08:41:33 +0200

vmpk-dmo (1:0.6.2a-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Mar 2017 08:36:32 +0100

vmpk (0.4.0-3) unstable; urgency=low

  * Revert last change that selected JACK as the RtMIDI backend
    (Reopens: 629300) (Closes: #663487).
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Correctly load saved preferences (Closes: #663513).
    - add 0002-Correctly-load-saved-preferences.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 08 Jun 2012 14:41:21 +0200

vmpk (0.4.0-2) unstable; urgency=low

  * Add GenericNames entries to .desktop file (Closes: #640993).
    - add 0001-Add-GenericName-entries-to-.desktop-file.patch
  * Select JACK for the RtMIDI backend (Closes: #629300).
    - add libjack-dev in Build-Depends.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:25:35 +0100

vmpk (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - remove 0001-Fix-to-build-with-ld-no-add-needed.patch
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix package-contains-empty-directory usr/share/locale/
  * Fix duplicate-changelog-files (changelog.gz vs. ChangeLog.gz)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:03:48 +0100

vmpk (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to 3.0 (quilt) source format.
  * Fix FTBFS with "ld --no-add-needed" (Closes: #615793)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Mar 2011 15:03:41 +0100

vmpk (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards Version to 3.9.0.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Jul 2010 17:45:39 +0200

vmpk (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove 0001-Look-for-xslproc-instead-of-libxslt, integrated upstream.
  * vmpk is linux specific (Closes: #557899)
    - Added to p-a-s

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 26 Apr 2010 12:44:41 +0200

vmpk (0.3.0-2) unstable; urgency=low

  * Build-depend on xsltproc, docbook-xsl and docbook-xml to be able to
    build the manpage and look for xslrproc instead of libxslt in
    man/CMakeLists.txt: Fixes issues when generating the manpage.
    - Add a debian/README.source

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 14:46:38 +0100

vmpk (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Add VCS-* flags
  * Update debian/copyright
  * Build-depend on debhelper (7.0.50~)
  * Bump standards to 3.8.3
  * Buil-depend on libx11-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Sep 2009 19:40:28 +0200

vmpk (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #522884)
  * New Upstream Version
    + Remove debian/man: integrated by upstream.
    + Remove 0001-Do-not-install-doc-packages-in-the-wrong-place.patch
      which is now integrated upstream.
    + Remove 0002-data-txt2ins.awk-should-be-executable.patch which also
      is now fixed upstream.
  * Bump standards version to 3.8.2
  * Update copyright file
  * Use my Debian address

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Sep 2009 15:12:01 +0200

vmpk (0.2.5-1) unstable; urgency=low

  * Initial packaging

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 05 Jun 2009 23:20:54 +0200
