=== debian/control ===
Source: vmpk-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://vmpk.sourceforge.net/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, pkg-config, xsltproc, docbook-xsl,
 docbook-xml, qttools5-dev, libdrumstick-dev (>= 1:2.3.0~), libqt5svg5-dev,
 libqt5x11extras5-dev, ninja-build, libdrumstick-rt-backends

Package: vmpk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdrumstick-rt-backends
Recommends: qjackctl, qsynth
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and receiver. It
 doesn't produce any sound by itself, but can be used to drive a MIDI
 synthesizer (either hardware or software, internal or external). You can
 use the computer's keyboard to play MIDI notes, and also the mouse. You
 can use the Virtual MIDI Piano Keyboard to display the played MIDI notes
 from another instrument or MIDI file player.
