=== debian/watch ===
version=4

opts="uversionmangle=s/rc-win-x86|rc-win-x64|rc-macOS-x64//" \
https://sf.net/vmpk/vmpk-(.+)@ARCHIVE_EXT@
