## vmpk-dmo 0.8.8

=== debian/changelog ===
vmpk-dmo (1:0.8.8-dmo2) unstable; urgency=medium

  * debian/rules add -DUSE_QT=5 option to dh_auto_configure

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 May 2023 16:06:43 +0200

vmpk-dmo (1:0.8.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Aug 2022 08:37:14 +0200

vmpk-dmo (1:0.8.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Apr 2022 01:01:55 +0200

vmpk-dmo (1:0.8.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Dec 2021 09:10:34 +0100

vmpk-dmo (1:0.8.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Oct 2021 14:41:06 +0200
