=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://vmpk.sourceforge.net/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, pkg-config, xsltproc, docbook-xsl,
- docbook-xml, qttools5-dev, libdrumstick-dev (>= 1:2.3.0~), libqt5svg5-dev,
+#Homepage: https://vmpk.sourceforge.net/
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, xsltproc, docbook-xsl,
+ docbook-xml, qttools5-dev, libdrumstick-dev (>= 1:2.7.0~), libqt5svg5-dev,
  libqt5x11extras5-dev, ninja-build, libdrumstick-rt-backends
 
 Package: vmpk
