=== debian/watch ===
version=4

https://sourceforge.net/projects/vmpk/files/vmpk/@ANY_VERSION@/ \
(?:.*)vmpk-@ANY_VERSION@@ARCHIVE_EXT@/download
