## vmpk-dmo 0.9.1

=== debian/changelog ===
vmpk-dmo (1:0.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Dec 2024 00:39:35 +0100

vmpk-dmo (1:0.9.0-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 08:49:49 +0100

vmpk-dmo (1:0.9.0-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 10:27:43 +0200

vmpk-dmo (1:0.9.0-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 10:00:01 +0100

vmpk-dmo (1:0.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Dec 2023 08:50:06 +0100

vmpk-dmo (1:0.8.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Aug 2023 13:06:40 +0200

vmpk-dmo (1:0.8.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Jul 2023 13:16:53 +0200

vmpk-dmo (1:0.8.8-dmo3) unstable; urgency=medium

  * Build with Qt 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Jun 2023 16:21:23 +0200
