=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-#Homepage: https://vmpk.sourceforge.net/
+Homepage: https://vmpk.sourceforge.net/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), cmake, pkgconf, xsltproc, docbook-xsl,
- docbook-xml, qttools5-dev, libdrumstick-dev (>= 1:2.7.0~), libqt5svg5-dev,
- libqt5x11extras5-dev, ninja-build, libdrumstick-rt-backends
+ docbook-xml, libdrumstick-dev (>= 1:2.7.0~), ninja-build, libdrumstick-rt-backends,
+ qt6-base-dev, qt6-svg-dev, qt6-tools-dev
 
 Package: vmpk
 Architecture: any
