## vmpk-dmo 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,25 @@
-# Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; If not, see <http://www.gnu.org/licenses/>.
-
-cmake_minimum_required(VERSION 3.14)
-set(CMAKE_OSX_DEPLOYMENT_TARGET "10.12" CACHE STRING "Minimum OS X deployment version")
+#[===========================================================================[
+Virtual MIDI Piano Keyboard
+Copyright (C) 2008-2026 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License along
+with this program; If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
+
+cmake_minimum_required(VERSION 3.16)
 
 project( VMPK
-    VERSION 0.8.4
+    VERSION 0.9.2
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -28,20 +29,26 @@
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set(DBUS_INIT ON)
 endif()
+set(FILTER_INIT OFF)
+if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
+    set(FILTER_INIT ON)
+endif()
 option(ENABLE_DBUS "Enable VMPK DBus interface" ${DBUS_INIT})
+option(ENABLE_NATIVE_FILTER "Use a QAbstractNativeEventFilter to process raw keyboard events" ${FILTER_INIT})
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(BUILD_DOCS "Build man page" ON)
+option(USE_QT5 "Prefer building with Qt5 instead of Qt6")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
 include(SCMRevision)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # cmake bug https://gitlab.kitware.com/cmake/cmake/issues/18396 closed in cmake 3.14
-if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-endif()
+# if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
+#     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+# endif()
 
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra") #-Wzero-as-null-pointer-constant -Wsuggest-override
@@ -51,17 +58,20 @@
 #endif()
 
 # CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
-# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2021/03
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2024/12
 if(MSVC)
     string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
 endif()
 
-find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets Network LinguistTools REQUIRED)
-find_package(Drumstick 2.3 COMPONENTS RT Widgets REQUIRED)
-if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6 COMPONENTS Core5Compat REQUIRED)
-endif()
+if (USE_QT5)
+    find_package(QT NAMES Qt5 REQUIRED)
+    find_package(Qt5 5.9 COMPONENTS Widgets Network LinguistTools REQUIRED)
+else()
+    find_package(QT NAMES Qt6 REQUIRED)
+    find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
+endif()
+
+find_package(Drumstick 2.10 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -69,7 +79,8 @@
      Operating System: ${CMAKE_SYSTEM_NAME}
      System Processor: ${CMAKE_SYSTEM_PROCESSOR}
      D-Bus support: ${ENABLE_DBUS}
-     Qt5 Version: ${Qt5_VERSION}
+     Native Event Filter: ${ENABLE_NATIVE_FILTER}
+     Qt${QT_VERSION_MAJOR} Version: ${QT_VERSION}
      Drumstick Version: ${Drumstick_VERSION}"
 )
 
@@ -78,17 +89,22 @@
 endif ()
 
 if (UNIX AND NOT APPLE)
-    find_package(Qt${QT_VERSION_MAJOR}X11Extras REQUIRED)
-    find_package(PkgConfig REQUIRED)
-    if(PKG_CONFIG_FOUND)
-        message(STATUS "Program pkg-config v${PKG_CONFIG_VERSION_STRING} found (${PKG_CONFIG_EXECUTABLE})")
-    else()
-        message(FATAL_ERROR "Program pkg-config not found")
+    if (ENABLE_NATIVE_FILTER)
+        if (QT_VERSION VERSION_LESS 6.0.0)
+            find_package(Qt5X11Extras REQUIRED)
+        endif()
+        find_package(PkgConfig REQUIRED)
+        if(PKG_CONFIG_FOUND)
+            message(STATUS "Program pkg-config v${PKG_CONFIG_VERSION_STRING} found (${PKG_CONFIG_EXECUTABLE})")
+        else()
+            message(FATAL_ERROR "Program pkg-config not found")
+        endif()
+        pkg_check_modules(XCB REQUIRED xcb)
+        if(XCB_FOUND)
+            message(STATUS "Found XCB development libs v${XCB_VERSION}")
+        endif()
     endif()
-    pkg_check_modules(XCB REQUIRED xcb)
-    if(XCB_FOUND)
-        message(STATUS "Found XCB development libs v${XCB_VERSION}")
-    endif()
+
     include(GNUInstallDirs)
 endif()
 
@@ -103,7 +119,9 @@
     data/help_es.html
     data/help_ru.html
     data/help_sr.html
+    data/help_zh_CN.html
     data/azerty.xml
+    data/azerty-FR.xml
     data/german.xml
     data/it-qwerty.xml
     data/pc102mac.xml
@@ -132,9 +150,9 @@
         COMMAND cp -r src vmpk-${PROJECT_VERSION}
         COMMAND cp -r man vmpk-${PROJECT_VERSION}
         COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
-        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
+        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,it,ru,sr,sv,zh_CN}.ts vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
-        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.appdata.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
+        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}
         COMMAND tar -cz --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.gz vmpk-${PROJECT_VERSION}
         COMMAND zip -qr vmpk-${PROJECT_VERSION}.zip vmpk-${PROJECT_VERSION} -x '.[a-z]*'
@@ -178,7 +196,7 @@
     install (FILES net.sourceforge.VMPK.desktop
              DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
 
-    install (FILES net.sourceforge.VMPK.appdata.xml
+    install (FILES net.sourceforge.VMPK.metainfo.xml
              DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo )
 
      # uninstall custom target
@@ -188,17 +206,17 @@
          IMMEDIATE @ONLY)
      add_custom_target( uninstall
          "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
-endif ()
-
-if(WIN32)
-    include (InstallRequiredSystemLibraries)
-	install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} 
-			 DESTINATION .)
-    install (FILES ${vmpk_DATA_FILES}
-             DESTINATION .)
-	set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2019.nsi.in
-        ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2019.nsi IMMEDIATE @ONLY)
+else()
+    if(WIN32)
+        include (InstallRequiredSystemLibraries)
+        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
+                 DESTINATION .)
+        install (FILES ${vmpk_DATA_FILES}
+                 DESTINATION .)
+        set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
+        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2022.nsi.in
+            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2022.nsi IMMEDIATE @ONLY)
+    endif()
 endif()
 
 # CPack support
