=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,20 @@
-# Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along 
-# with this program; If not, see <http://www.gnu.org/licenses/>.
+#[===========================================================================[
+  Virtual MIDI Piano Keyboard
+  Copyright (C) 2008-2026 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 3 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License along
+  with this program; If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -26,9 +28,11 @@
          ../translations/vmpk_es.ts
          ../translations/vmpk_fr.ts
          ../translations/vmpk_gl.ts
+         ../translations/vmpk_it.ts
          ../translations/vmpk_ru.ts
          ../translations/vmpk_sr.ts
          ../translations/vmpk_sv.ts
+         ../translations/vmpk_zh_CN.ts
     )
     if (QT_VERSION VERSION_LESS 5.15.0)
         qt5_add_translation(QM_FILES ${TRANSLATIONS})
@@ -41,7 +45,7 @@
     file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
     file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
     add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
-    add_qt_translations_resource(QT_RES cs de es fr gl ru sr sv)
+    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv zh_CN)
 endif()
 
 set(vmpk_SRCS
@@ -63,21 +67,20 @@
     constants.h
     extracontrols.cpp
     extracontrols.h
+    iconutils.cpp
+    iconutils.h
     instrument.cpp
     instrument.h
     keyboardmap.cpp
     keyboardmap.h
     kmapdialog.cpp
     kmapdialog.h
-    maceventhelper.h
     main.cpp
     mididefs.h
     midisetup.cpp
     midisetup.h
     preferences.cpp
     preferences.h
-    nativefilter.cpp
-    nativefilter.h
     riff.cpp
     riff.h
     riffimportdlg.cpp
@@ -93,9 +96,22 @@
     ${QT_RES}
 )
 
+if (ENABLE_NATIVE_FILTER)
+    list(APPEND vmpk_SRCS
+        nativefilter.cpp
+        nativefilter.h
+    )
+    if (APPLE)
+        list(APPEND vmpk_SRCS
+            maceventhelper.mm
+            maceventhelper.h
+        )
+    endif()
+endif()
+
 if(WIN32)
     include(CheckCXXSourceCompiles)
-    check_cxx_source_compiles("#include <Windows.h>
+    check_cxx_source_compiles("#include <windows.h>
         int main() { EnumWindows([](HWND, LPARAM) -> BOOL { return true; }, 0); return 0; }"
         COMPILER_SUPPORTED)
     if (NOT COMPILER_SUPPORTED)
@@ -105,7 +121,6 @@
 endif()
 
 if(ENABLE_DBUS)
-    add_definitions(-DENABLE_DBUS)
     if (QT_VERSION VERSION_LESS 5.15.0)
         qt5_add_dbus_adaptor( vmpk_SRCS
                               net.sourceforge.vmpk.xml
@@ -126,7 +141,7 @@
 endif()
 
 if(WIN32)
-    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc 
+    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc
                     IMMEDIATE @ONLY)
 endif()
 
@@ -138,7 +153,7 @@
     set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
     set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.vmpk" )
     set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
-    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2021 Pedro López-Cabanillas and others")
+    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2026 Pedro López-Cabanillas and others")
     set (vmpk_RSC
         ../data/vmpk.icns
         ../data/help.html
@@ -158,7 +173,6 @@
 endif()
 
 add_executable (vmpk MACOSX_BUNDLE WIN32
-    $<$<PLATFORM_ID:Darwin>:maceventhelper.mm>
     $<$<PLATFORM_ID:Windows>:${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc>
     ${vmpk_SRCS}
     ${vmpk_RSC}
@@ -169,17 +183,13 @@
     Drumstick::Widgets
     Qt${QT_VERSION_MAJOR}::Widgets
     $<$<BOOL:${ENABLE_DBUS}>:Qt${QT_VERSION_MAJOR}::DBus>
-    $<$<BOOL:${Qt${QT_VERSION_MAJOR}X11Extras_FOUND}>:Qt${QT_VERSION_MAJOR}::X11Extras>
+    $<$<BOOL:${Qt5X11Extras_FOUND}>:Qt5::X11Extras>
     $<$<BOOL:${XCB_FOUND}>:${XCB_LIBRARIES}>
 )
+
 if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    target_link_libraries(vmpk PRIVATE
-        Qt6::Core5Compat
-    )
-endif()
-
-#$<$<PLATFORM_ID:Windows>:winmm>
-#$<$<BOOL:${WIN32}>:dwmapi>
+    target_link_libraries(vmpk PRIVATE Qt6::Gui)
+endif()
 
 if (WIN32)
     target_link_libraries(vmpk PRIVATE
@@ -200,6 +210,7 @@
     RAWKBD_SUPPORT
     PALETTE_SUPPORT
     $<$<BOOL:${ENABLE_DBUS}>:ENABLE_DBUS>
+    $<$<BOOL:${ENABLE_NATIVE_FILTER}>:ENABLE_NATIVE_FILTER>
 )
 
 if (DEFINED PROJECT_WC_REVISION)
@@ -211,7 +222,12 @@
     $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
 )
 
-install (TARGETS vmpk
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR}
-)
+if (UNIX AND NOT APPLE)
+    install (TARGETS vmpk
+        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+        BUNDLE DESTINATION ~/Applications
+    )
+else()
+    set(DEPLOYMENT_TARGET vmpk)
+    include(DeploymentUtils)
+endif()
