=== debian/changelog ===
vmpk-dmo (1:0.9.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jan 2026 16:29:57 +0100
