=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: vmpk-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://vmpk.sourceforge.net/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, pkgconf, xsltproc, docbook-xsl,
  docbook-xml, libdrumstick-dev (>= 1:2.7.0~), ninja-build, libdrumstick-rt-backends,
  qt6-base-dev, qt6-svg-dev, qt6-tools-dev
