=== debian/watch ===
version=4

https://sf.net/vmpk/ vmpk-@ANY_VERSION@@ARCHIVE_EXT@
